---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libAddModuleExportsAndOpensTest.dylib'
relocations:
  - { offsetInCU: 0x26, offset: 0x26, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x0, symBinAddr: 0x1050, symSize: 0x40 }
  - { offsetInCU: 0x4D, offset: 0x4D, size: 0x8, addend: 0x0, symName: _jvmti, symObjAddr: 0xFA90, symBinAddr: 0x3020, symSize: 0x0 }
  - { offsetInCU: 0x5850, offset: 0x5850, size: 0x8, addend: 0x0, symName: _check_add_module_exports, symObjAddr: 0x240, symBinAddr: 0x1240, symSize: 0x540 }
  - { offsetInCU: 0x5875, offset: 0x5875, size: 0x8, addend: 0x0, symName: _check_add_module_exports.strbuf, symObjAddr: 0xFAA0, symBinAddr: 0x3030, symSize: 0x0 }
  - { offsetInCU: 0x5DD5, offset: 0x5DD5, size: 0x8, addend: 0x0, symName: _is_exported_to, symObjAddr: 0x780, symBinAddr: 0x1780, symSize: 0x100 }
  - { offsetInCU: 0x5DFA, offset: 0x5DFA, size: 0x8, addend: 0x0, symName: _is_exported_to.mIsExportedTo, symObjAddr: 0xFB20, symBinAddr: 0x30B0, symSize: 0x0 }
  - { offsetInCU: 0x5F5B, offset: 0x5F5B, size: 0x8, addend: 0x0, symName: _is_exported, symObjAddr: 0x880, symBinAddr: 0x1880, symSize: 0xE2 }
  - { offsetInCU: 0x5F80, offset: 0x5F80, size: 0x8, addend: 0x0, symName: _is_exported.mIsExported, symObjAddr: 0xFB28, symBinAddr: 0x30B8, symSize: 0x0 }
  - { offsetInCU: 0x6105, offset: 0x6105, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x0, symBinAddr: 0x1050, symSize: 0x40 }
  - { offsetInCU: 0x619A, offset: 0x619A, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x40, symBinAddr: 0x1090, symSize: 0x40 }
  - { offsetInCU: 0x622F, offset: 0x622F, size: 0x8, addend: 0x0, symName: _JNI_OnLoad, symObjAddr: 0x80, symBinAddr: 0x10D0, symSize: 0x10 }
  - { offsetInCU: 0x6298, offset: 0x6298, size: 0x8, addend: 0x0, symName: _Java_MyPackage_AddModuleExportsAndOpensTest_check, symObjAddr: 0xE0, symBinAddr: 0x10E0, symSize: 0x100 }
  - { offsetInCU: 0x639C, offset: 0x639C, size: 0x8, addend: 0x0, symName: _throw_exc, symObjAddr: 0x1E0, symBinAddr: 0x11E0, symSize: 0x60 }
...
